get
https://api.caas.staging.bancocdc.com.br/assignment/status/
The consult assignment movement history route is responsible for consulting the history of a specific assignment.
Attention point:
To use the route, it is necessary to use the assignment code obtained through the assignment launch.
Status Description
| Value | Description |
|---|---|
| 1 | Typing |
| 2 | Analysis |
| 3 | Approved |
| 4 | Refused |
| 5 | Signature |
| 6 | Sale off |
| 7 | Finished |
| 8 | Canceled |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-09 | There are no results for the query. |
| 401 | 401-06 | The requested module is not enabled. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Unique identifier for the request. |
| return | boolean | Indicates if the request was successful. |
| return_code | string | Code indicating the result of the request. |
| message | string | Description of the result of the request. |
| data | array of objects | Details of the assignment movement history. |
| data[i].number_status | string | Status number of the assignment. |
| data[i].observation | string | Observation or comment related to the status change. |
| data[i]. created_at | string (datetime) | Timestamp when the status change was recorded. |